Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1588185 (CVE-2018-10851) - CVE-2018-10851 pdns: Memory leak while parsing malformed records
Summary: CVE-2018-10851 pdns: Memory leak while parsing malformed records
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-10851
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1649031 1649032 1649042 1649043
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-06 21:19 UTC by Pedro Sampaio
Modified: 2021-10-25 09:45 UTC (History)
4 users (show)

Fixed In Version: pdns-recursor 4.1.5, pdns-recursor 4.0.9, pdns 4.1.5, pdns 4.0.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-25 09:45:51 UTC
Embargoed:


Attachments (Terms of Use)

Description Pedro Sampaio 2018-06-06 21:19:58 UTC
A vulnerability was in found in PowerDNS Authoritative Server (from 3.3.0 up to and including 4.1.3) and PowerDNS Recursor (from 3.2 up to and including 4.1.3). The issue is a memory leak occurring while parsing some malformed records, due to the fact that some memory is allocated parsing a record and is not always properly released if the record is not valid.

In the authoritative server, it allows an authorized user to cause a denial of service by inserting specially crafted records in a zone under their control, then sending DNS queries for that zone.

In the recursor, it allows a malicious auth server to cause a denial of service by sending specially crafted records in response to a legitimate query by an authorized user.

References:

https://doc.powerdns.com/authoritative/security-advisories/powerdns-advisory-2018-03.html
https://doc.powerdns.com/recursor/security-advisories/powerdns-advisory-2018-04.html

Comment 1 Pedro Sampaio 2018-11-12 18:29:12 UTC
Created pdns tracking bugs for this issue:

Affects: epel-all [bug 1649032]
Affects: fedora-all [bug 1649031]

Comment 2 Pedro Sampaio 2018-11-12 18:46:48 UTC
Created pdns-recursor tracking bugs for this issue:

Affects: epel-all [bug 1649043]
Affects: fedora-all [bug 1649042]


Note You need to log in before you can comment on or make changes to this bug.